MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/clarke.h File Reference

Contains the public interface to the Clarke transform (CLARKE) module routines. More...

`#include "sw/modules/math/src/float/math.h"`

Go to the source code of this file.

## Data Structures
struct | _CLARKE_Obj_
| Defines the CLARKE object. More...

## Typedefs
typedef struct _CLARKE_Obj_ | CLARKE_Obj
| Defines the CLARKE object. More...
typedef struct _CLARKE_Obj_ * | CLARKE_Handle
| Defines the CLARKE handle. More...

## Functions
static uint_least8_t | CLARKE_getNumSensors (CLARKE_Handle handle)
| Gets the number of sensors. More...
CLARKE_Handle | CLARKE_init (void *pMemory, const size_t numBytes)
| Initializes the Clarke transform module. More...
static void | CLARKE_run (CLARKE_Handle handle, const MATH_vec3 *pInVec, MATH_vec2 *pOutVec)
| Runs the Clarke transform module for three inputs. More...
static void | CLARKE_run_twoInput (CLARKE_Handle handle, const MATH_vec2 *pInVec, MATH_vec2 *pOutVec)
| Runs the Clarke transform module for two inputs. More...
static void | CLARKE_setNumSensors (CLARKE_Handle handle, const uint_least8_t numSensors)
| Sets the number of sensors. More...
static void | CLARKE_setScaleFactors (CLARKE_Handle handle, const float_t alpha_sf, const float_t beta_sf)
| Sets the scale factors. More...

## Detailed Description

Contains the public interface to the Clarke transform (CLARKE) module routines.

(C) Copyright 2014, Texas Instruments, Inc.

Definition in file float/clarke.h.

## Function Documentation

static uint_least8_t CLARKE_getNumSensors | ( | CLARKE_Handle | handle | ) |
| inline static

Gets the number of sensors.

Parameters

  [in] | handle | The Clarke transform handle

Returns
  The number of sensors

Definition at line 99 of file float/clarke.h.

References _CLARKE_Obj_::numSensors.

static void CLARKE_run | ( | CLARKE_Handle | handle,
|  | const MATH_vec3 * | pInVec,
|  | MATH_vec2 * | pOutVec
| ) |  |
| inline static

Runs the Clarke transform module for three inputs.

Parameters

  [in] | handle | The Clarke transform handle
  [in] | pInVec | The pointer to the input vector
  [in] | pOutVec | The pointer to the output vector

Definition at line 118 of file float/clarke.h.

References _CLARKE_Obj_::alpha_sf, _CLARKE_Obj_::beta_sf, _CLARKE_Obj_::numSensors, _MATH_vec2_::value, and _MATH_vec3_::value.

static void CLARKE_run_twoInput | ( | CLARKE_Handle | handle,
|  | const MATH_vec2 * | pInVec,
|  | MATH_vec2 * | pOutVec
| ) |  |
| inline static

Runs the Clarke transform module for two inputs.

Parameters

  [in] | handle | The Clarke transform handle
  [in] | pInVec | The pointer to the input vector
  [in] | pOutVec | The pointer to the output vector

Definition at line 154 of file float/clarke.h.

References _CLARKE_Obj_::beta_sf, and _MATH_vec2_::value.

static void CLARKE_setNumSensors | ( | CLARKE_Handle | handle,
|  | const uint_least8_t | numSensors
| ) |  |
| inline static

Sets the number of sensors.

Parameters

  [in] | handle | The Clarke transform handle
  [in] | numSensors | The number of sensors

Definition at line 172 of file float/clarke.h.

References _CLARKE_Obj_::numSensors.